function CharacterTweakData:_init_civilian(presets)
	self.civilian = {
		experience = {}
	}
	self.civilian.HEALTH_INIT = 0.9
	self.civilian.permanently_invulnerable = true
	self.civilian.SPEED_WALK = 150
	self.civilian.SPEED_RUN = 400
	self.civilian.flee_type = "hide"
	self.civilian.scare_max = {10, 20}
	self.civilian.scare_shot = 1
	self.civilian.scare_intimidate = -2
	self.civilian.submission_max = {60, 120}
	self.civilian.submission_intimidate = 60
	self.civilian.damage = {
		hurt_severity = {
			0,
			0.2,
			0.5,
			0.75
		}
	}
	self.civilian.experience.cable_tie = "tie_civ"
	self.civilian.speech_prefix = "cm"
	self.civilian.speech_prefix_count = 2
	self.civilian.access = "civ_male"
	self.civilian.intimidateable = true
	self.civilian.challenges = {type = "civilians"}
	self.civilian_female = deep_clone(self.civilian)
	self.civilian_female.speech_prefix = "cf"
	self.civilian_female.speech_prefix_count = 5
	self.civilian_female.female = true
	self.civilian_female.access = "civ_female"
	self.civilian_female.no_run_death_anim = true
end

function CharacterTweakData:_init_patrol(presets)
	self.patrol = deep_clone(presets.base)
	self.patrol.permanently_invulnerable = true
	self.patrol.experience = {}
	self.patrol.weapon = presets.weapon.normal
	self.patrol.detection = presets.detection.patrol
	self.patrol.HEALTH_INIT = 2
	self.patrol.SPEED_WALK = 100
	self.patrol.SPEED_RUN = 300
	self.patrol.surrender_hard = nil
	self.patrol.crouch_move = nil
	self.patrol.submission_max = {50, 100}
	self.patrol.submission_intimidate = 45
	self.patrol.weapon_range = 1000
	self.patrol.weapon_voice = "3"
	self.patrol.experience.cable_tie = "tie_swat"
	self.patrol.speech_prefix = "po"
	self.patrol.speech_prefix_count = 4
	self.patrol.access = "security_patrol"
	self.patrol.use_smoke = false
	self.patrol.rescue_hostages = false
	self.patrol.use_radio = "dia_guard_radio"
	self.patrol.silent_priority_shout = "Dia_10"
	self.patrol.dodge = presets.dodge.poor
	self.patrol.chatter = presets.enemy_chatter.cop
end

function CharacterTweakData:_init_security(presets)
	self.security = deep_clone(presets.base)
	self.security.permanently_invulnerable = true
	self.security.experience = {}
	self.security.weapon = presets.weapon.normal
	self.security.detection = presets.detection.guard
	self.security.HEALTH_INIT = 2
	self.security.SPEED_WALK = 100
	self.security.SPEED_RUN = 300
	self.security.surrender_easy = true
	self.security.crouch_move = nil
	self.security.submission_max = {50, 100}
	self.security.submission_intimidate = 45
	self.security.weapon_range = 1000
	self.security.weapon_voice = "3"
	self.security.experience.cable_tie = "tie_swat"
	self.security.speech_prefix = "po"
	self.security.speech_prefix_count = 4
	self.security.access = "security"
	self.security.use_smoke = false
	self.security.rescue_hostages = false
	self.security.use_radio = nil
	self.security.silent_priority_shout = "Dia_10"
	self.security.dodge = presets.dodge.poor
	self.security.deathguard = true
	self.security.chatter = presets.enemy_chatter.cop
end

function CharacterTweakData:_init_cop(presets)
	self.cop = deep_clone(presets.base)
	self.cop.experience = {}
	self.cop.permanently_invulnerable = true
	self.cop.weapon = presets.weapon.normal
	self.cop.detection = presets.detection.normal
	self.cop.HEALTH_INIT = 2
	self.cop.SPEED_WALK = 175
	self.cop.SPEED_RUN = 300
	self.cop.submission_max = {50, 80}
	self.cop.submission_intimidate = 30
	self.cop.weapon_range = 1000
	self.cop.weapon_voice = "1"
	self.cop.experience.cable_tie = "tie_swat"
	self.cop.speech_prefix = "po"
	self.cop.speech_prefix_count = 4
	self.cop.access = "cop"
	self.cop.use_smoke = false
	self.cop.dodge = presets.dodge.normal
	self.cop.follower = true
	self.cop.deathguard = true
	self.cop.no_disarm = true
	self.cop.no_arrest = true
	self.cop.chatter = presets.enemy_chatter.cop
end

function CharacterTweakData:_init_fbi(presets)
	self.fbi = deep_clone(presets.base)
	self.fbi.experience = {}
	self.fbi.permanently_invulnerable = true
	self.fbi.weapon = presets.weapon.good
	self.fbi.detection = presets.detection.normal
	self.fbi.HEALTH_INIT = 3
	self.fbi.SPEED_WALK = 100
	self.fbi.SPEED_RUN = 350
	self.fbi.submission_max = {45, 60}
	self.fbi.submission_intimidate = 15
	self.fbi.weapon_range = 1000
	self.fbi.weapon_voice = "2"
	self.fbi.experience.cable_tie = "tie_swat"
	self.fbi.speech_prefix = "po"
	self.fbi.speech_prefix_count = 4
	self.fbi.access = "fbi"
	self.fbi.dodge = presets.dodge.good
	self.fbi.follower = true
	self.fbi.deathguard = true
	self.fbi.no_disarm = true
	self.fbi.no_arrest = true
	self.fbi.chatter = presets.enemy_chatter.cop
end

function CharacterTweakData:_init_swat(presets)
	self.swat = deep_clone(presets.base)
	self.swat.experience = {}
	self.swat.permanently_invulnerable = true
	self.swat.weapon = presets.weapon.good
	self.swat.detection = presets.detection.normal
	self.swat.HEALTH_INIT = 3
	self.swat.SPEED_WALK = 100
	self.swat.SPEED_RUN = 350
	self.swat.submission_max = {45, 60}
	self.swat.submission_intimidate = 15
	self.swat.weapon_range = 1000
	self.swat.weapon_voice = "2"
	self.swat.experience.cable_tie = "tie_swat"
	self.swat.speech_prefix = "sw"
	self.swat.speech_prefix_count = 4
	self.swat.access = "swat"
	self.swat.dodge = presets.dodge.good
	self.swat.follower = true
	self.swat.no_disarm = true
	self.swat.no_arrest = true
	self.swat.chatter = presets.enemy_chatter.swat
end

function CharacterTweakData:_init_heavy_swat(presets)
	self.heavy_swat = deep_clone(presets.base)
	self.heavy_swat.experience = {}
	self.heavy_swat.permanently_invulnerable = true
	self.heavy_swat.weapon = presets.weapon.good
	self.heavy_swat.detection = presets.detection.normal
	self.heavy_swat.HEALTH_INIT = 7
	self.heavy_swat.headshot_dmg_mul = 1.5
	self.heavy_swat.SPEED_WALK = 100
	self.heavy_swat.SPEED_RUN = 350
	self.heavy_swat.submission_max = {45, 60}
	self.heavy_swat.submission_intimidate = 15
	self.heavy_swat.weapon_range = 1000
	self.heavy_swat.weapon_voice = "2"
	self.heavy_swat.experience.cable_tie = "tie_swat"
	self.heavy_swat.speech_prefix = "sw"
	self.heavy_swat.speech_prefix_count = 4
	self.heavy_swat.access = "swat"
	self.heavy_swat.dodge = presets.dodge.expert
	self.heavy_swat.follower = true
	self.heavy_swat.no_disarm = true
	self.heavy_swat.no_arrest = true
	self.heavy_swat.chatter = presets.enemy_chatter.swat
end

function CharacterTweakData:_init_murky(presets)
	self.murky = deep_clone(presets.base)
	self.murky.experience = {}
	self.murky.permanently_invulnerable = true
	self.murky.weapon = presets.weapon.expert
	self.murky.detection = presets.detection.normal
	self.murky.HEALTH_INIT = 8
	self.murky.headshot_dmg_mul = 5
	self.murky.surrender_easy = true
	self.murky.SPEED_WALK = 100
	self.murky.SPEED_RUN = 350
	self.murky.submission_max = {45, 60}
	self.murky.submission_intimidate = 15
	self.murky.weapon_range = 1000
	self.murky.weapon_voice = "2"
	self.murky.experience.cable_tie = "tie_swat"
	self.murky.speech_prefix = "sw"
	self.murky.speech_prefix_count = 4
	self.murky.access = "murky"
	self.murky.use_smoke = false
	self.murky.rescue_hostages = false
	self.murky.use_radio = nil
	self.murky.dodge = presets.dodge.expert
	self.murky.no_disarm = true
	self.murky.no_arrest = true
	self.murky.chatter = presets.enemy_chatter.swat
end

function CharacterTweakData:_init_sniper(presets)
	self.sniper = deep_clone(presets.base)
	self.sniper.experience = {}
	self.sniper.permanently_invulnerable = true
	self.sniper.weapon = presets.weapon.sniper
	self.sniper.detection = presets.detection.sniper
	self.sniper.HEALTH_INIT = 2
	self.sniper.SPEED_WALK = 100
	self.sniper.SPEED_RUN = 350
	self.sniper.shooting_death = false
	self.sniper.submission_max = {45, 60}
	self.sniper.submission_intimidate = 15
	self.sniper.weapon_range = 100000
	self.sniper.weapon_voice = "1"
	self.sniper.experience.cable_tie = "tie_swat"
	self.sniper.speech_prefix = "sw"
	self.sniper.speech_prefix_count = 4
	self.sniper.access = "sniper"
	self.sniper.no_retreat = true
	self.sniper.no_disarm = true
	self.sniper.no_arrest = true
	self.sniper.chatter = presets.enemy_chatter.no_chatter
end

function CharacterTweakData:_init_gangster(presets)
	self.gangster = deep_clone(presets.base)
	self.gangster.experience = {}
	self.gangster.permanently_invulnerable = true
	self.gangster.weapon = presets.weapon.good
	self.gangster.detection = presets.detection.sniper
	self.gangster.HEALTH_INIT = 2
	self.gangster.SPEED_WALK = 100
	self.gangster.SPEED_RUN = 300
	self.gangster.surrender_hard = nil
	self.gangster.suspicious = nil
	self.gangster.no_disarm = true
	self.gangster.no_arrest = true
	self.gangster.no_retreat = true
	self.gangster.weapon_range = 1000
	self.gangster.weapon_voice = "3"
	self.gangster.experience.cable_tie = "tie_swat"
	self.gangster.speech_prefix = "th"
	self.gangster.speech_prefix_count = 3
	self.gangster.access = "gangster"
	self.gangster.use_smoke = false
	self.gangster.rescue_hostages = false
	self.gangster.use_radio = nil
	self.gangster.dodge = presets.dodge.normal
	self.gangster.challenges = {type = "gangster"}
	self.gangster.chatter = presets.enemy_chatter.no_chatter
end

function CharacterTweakData:_init_dealer(presets)
	self.dealer = deep_clone(presets.base)
	self.dealer.experience = {}
	self.dealer.permanently_invulnerable = true
	self.dealer.weapon = presets.weapon.good
	self.dealer.detection = presets.detection.guard
	self.dealer.HEALTH_INIT = 2
	self.dealer.SPEED_WALK = 200
	self.dealer.SPEED_RUN = 350
	self.dealer.suspicious = nil
	self.dealer.surrender_hard = nil
	self.dealer.no_disarm = true
	self.dealer.no_arrest = true
	self.dealer.no_retreat = true
	self.dealer.weapon_range = 1000
	self.dealer.weapon_voice = "3"
	self.dealer.experience.cable_tie = "tie_swat"
	self.dealer.speech_prefix = "th"
	self.dealer.speech_prefix_count = 3
	self.dealer.access = "gangster"
	self.dealer.use_smoke = false
	self.dealer.rescue_hostages = false
	self.dealer.use_radio = nil
	self.dealer.dodge = presets.dodge.normal
	self.dealer.challenges = {type = "gangster"}
	self.dealer.chatter = "gangster"
end

function CharacterTweakData:_init_tank(presets)
	self.tank = deep_clone(presets.base)
	self.tank.experience = {}
	self.tank.permanently_invulnerable = true
	self.tank.weapon = deep_clone(presets.weapon.expert)
	if SystemInfo:platform() == Idstring("PS3") then
		self.tank.weapon.r870.FALLOFF[1].dmg_mul = 2
		self.tank.weapon.r870.FALLOFF[2].dmg_mul = 1.5
		self.tank.weapon.r870.FALLOFF[3].dmg_mul = 0.75
	else
		self.tank.weapon.r870.FALLOFF[1].dmg_mul = 6
		self.tank.weapon.r870.FALLOFF[2].dmg_mul = 4
		self.tank.weapon.r870.FALLOFF[3].dmg_mul = 2
	end

	self.tank.weapon.r870.hit_chance = {
		near = {0.9, 1},
		far = {0.5, 0.5}
	}
	self.tank.detection = presets.detection.normal
	if SystemInfo:platform() == Idstring("PS3") then
		self.tank.HEALTH_INIT = 100
	else
		self.tank.HEALTH_INIT = 100
	end

	self.tank.headshot_dmg_mul = 2
	self.tank.SPEED_WALK = 100
	self.tank.SPEED_RUN = 350
	self.tank.SPEED_SPRINT = 500
	self.tank.crouch_move = false
	self.tank.allow_crouch = false
	self.tank.surrender_hard = nil
	self.tank.no_retreat = true
	self.tank.no_disarm = true
	self.tank.no_arrest = true
	self.tank.weapon_range = 1000
	self.tank.weapon_voice = "3"
	self.tank.experience.cable_tie = "tie_swat"
	self.tank.access = "tank"
	self.tank.speech_prefix = "bdz"
	self.tank.speech_prefix_count = nil
	self.tank.priority_shout = "f30"
	self.tank.rescue_hostages = false
	self.tank.leader = {max_nr_followers = 4}
	self.tank.damage.hurt_severity = {
		0,
		1,
		1,
		1
	}
	self.tank.chatter = presets.enemy_chatter.no_chatter
	self.tank.announce_incomming = "incomming_tank"
end

function CharacterTweakData:_init_spooc(presets)
	self.spooc = deep_clone(presets.base)
	self.spooc.experience = {}
	self.spooc.permanently_invulnerable = true
	self.spooc.weapon = deep_clone(presets.weapon.expert)
	self.spooc.detection = presets.detection.normal
	self.spooc.HEALTH_INIT = 15
	self.spooc.headshot_dmg_mul = 1.5
	self.spooc.SPEED_WALK = 100
	self.spooc.SPEED_RUN = 440
	self.spooc.SPEED_SPRINT = 500
	self.spooc.surrender_hard = nil
	self.spooc.no_retreat = true
	self.spooc.no_arrest = true
	self.spooc.no_disarm = true
	self.spooc.submission_max = {45, 60}
	self.spooc.submission_intimidate = 15
	self.spooc.weapon_range = 1000
	self.spooc.priority_shout = "f33"
	self.spooc.rescue_hostages = false
	self.spooc.weapon.beretta92.choice_chance = 0
	self.spooc.weapon.m4.choice_chance = 1
	self.spooc.weapon.r870.choice_chance = 0
	self.spooc.weapon.mp5.choice_chance = 1
	self.spooc.weapon_voice = "3"
	self.spooc.experience.cable_tie = "tie_swat"
	self.spooc.speech_prefix = "clk"
	self.spooc.speech_prefix_count = nil
	self.spooc.access = "spooc"
	self.spooc.dodge = presets.dodge.ninja
	self.spooc.follower = true
	self.spooc.chatter = presets.enemy_chatter.no_chatter
	self.spooc.announce_incomming = "incomming_spooc"
end

function CharacterTweakData:_init_shield(presets)
	self.shield = deep_clone(presets.base)
	self.shield.experience = {}
	self.shield.permanently_invulnerable = true
	self.shield.weapon = deep_clone(presets.weapon.expert)
	self.shield.detection = presets.detection.normal
	self.shield.HEALTH_INIT = 10
	self.shield.headshot_dmg_mul = 1.5
	self.shield.SPEED_WALK = 100
	self.shield.SPEED_RUN = 400
	self.shield.surrender_hard = nil
	self.shield.no_retreat = true
	self.shield.no_stand = true
	self.shield.no_disarm = true
	self.shield.no_arrest = true
	self.shield.weapon_range = 1000
	self.shield.priority_shout = "f31"
	self.shield.rescue_hostages = false
	self.shield.leader = {max_nr_followers = 4}
	self.shield.deathguard = true
	self.shield.damage.hurt_severity = {
		0,
		1,
		1,
		1
	}
	self.shield.weapon.shield = {}
	self.shield.weapon.shield.choice_chance = 1
	self.shield.weapon.shield.aim_delay = {0, 0.3}
	self.shield.weapon.shield.focus_delay = 6
	self.shield.weapon.shield.focus_dis = 250
	self.shield.weapon.shield.spread = 60
	self.shield.weapon.shield.miss_dis = 15
	self.shield.weapon.shield.hit_chance = {
		near = {0.1, 0.6},
		far = {0.1, 0.25}
	}
	self.shield.weapon.shield.RELOAD_SPEED = 2
	self.shield.weapon.shield.FALLOFF = {
		{
			r = 0,
			dmg_mul = 4,
			recoil = {0.35, 0.55},
			mode = {
				0.2,
				2,
				4,
				10
			}
		},
		{
			r = 700,
			dmg_mul = 1,
			recoil = {0.35, 0.55},
			mode = {
				0.2,
				2,
				4,
				10
			}
		},
		{
			r = 1000,
			dmg_mul = 1,
			recoil = {0.35, 0.55},
			mode = {
				0.2,
				2,
				4,
				10
			}
		},
		{
			r = 2000,
			dmg_mul = 1,
			recoil = {0.35, 0.55},
			mode = {
				2,
				5,
				6,
				4
			}
		},
		{
			r = 10000,
			dmg_mul = 1,
			recoil = {0.35, 0.55},
			mode = {
				6,
				4,
				2,
				1
			}
		}
	}
	self:_process_weapon_usage_table(self.shield.weapon)
	self.shield.weapon_voice = "3"
	self.shield.experience.cable_tie = "tie_swat"
	self.shield.speech_prefix = "sw"
	self.shield.speech_prefix_count = 4
	self.shield.access = "shield"
	self.shield.chatter = presets.enemy_chatter.shield
	self.shield.announce_incomming = "incomming_shield"
end

function CharacterTweakData:_init_taser(presets)
	self.taser = deep_clone(presets.base)
	self.taser.damage.hurt_severity = {
		0,
		0,
		0.2,
		0.3
	}
	self.taser.experience = {}
	self.taser.permanently_invulnerable = true
	self.taser.weapon = deep_clone(presets.weapon.expert)
	self.taser.weapon.m4.tase_distance = 1400
	self.taser.weapon.m4.aim_delay_tase = {0, 0.5}
	self.taser.detection = presets.detection.normal
	self.taser.HEALTH_INIT = 20
	self.taser.headshot_dmg_mul = 1.5
	self.taser.SPEED_WALK = 100
	self.taser.SPEED_RUN = 350
	self.taser.surrender_hard = nil
	self.taser.no_retreat = true
	self.taser.no_disarm = true
	self.taser.no_arrest = true
	self.taser.submission_max = {45, 60}
	self.taser.submission_intimidate = 15
	self.taser.weapon_range = 1000
	self.taser.weapon_voice = "3"
	self.taser.experience.cable_tie = "tie_swat"
	self.taser.speech_prefix = "tsr"
	self.taser.speech_prefix_count = nil
	self.taser.access = "taser"
	self.taser.priority_shout = "f32"
	self.taser.rescue_hostages = false
	self.taser.follower = true
	self.taser.chatter = presets.enemy_chatter.no_chatter
	self.taser.announce_incomming = "incomming_taser"
end